### Method

# Ide Application get_worker_finish

#### Declaration

    GDBusProxy*
    ide_application_get_worker_finish (
      IdeApplication* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to get a proxy to a worker process.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GDBusProxy`
| A `GDBusProxy` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.